apiVersion: v1
kind: Service
metadata:
  name: HoD-service
  labels:
    name: HoD
spec:
  ports:
    - port: 9092
      name: kafka-port
      protocol: TCP
  selector:
    app: kafka
    id: "1"
  type: NodePort